cURL
curl --request POST \
--url https://gateway.7exchange.io/customer/1.0.0/createAddress/{customerId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenantId: <tenantid>' \
--header 'token: <token>' \
--data '
[
{
"addressPurpose": "<string>",
"address": {
"country": "<string>",
"area": "<string>",
"city": "<string>",
"zipCode": "<string>",
"street": "<string>",
"streetNumber": [
"<string>"
],
"building": "<string>",
"apartment": "<string>",
"entrance": "<string>",
"floor": "<string>",
"doorNumber": "<string>",
"geoPosition": {
"latitude": 123,
"longitude": 123,
"altitude": 123
},
"alternative": {
"word1": "<string>",
"word2": "<string>",
"word3": "<string>"
},
"relatedToAddress": [
{
"relationType": "<string>"
}
],
"additionalData": [
{
"name": "<string>",
"type": "<string>",
"value": "<string>"
}
]
}
}
]
'import requests
url = "https://gateway.7exchange.io/customer/1.0.0/createAddress/{customerId}"
payload = [
{
"addressPurpose": "<string>",
"address": {
"country": "<string>",
"area": "<string>",
"city": "<string>",
"zipCode": "<string>",
"street": "<string>",
"streetNumber": ["<string>"],
"building": "<string>",
"apartment": "<string>",
"entrance": "<string>",
"floor": "<string>",
"doorNumber": "<string>",
"geoPosition": {
"latitude": 123,
"longitude": 123,
"altitude": 123
},
"alternative": {
"word1": "<string>",
"word2": "<string>",
"word3": "<string>"
},
"relatedToAddress": [{ "relationType": "<string>" }],
"additionalData": [
{
"name": "<string>",
"type": "<string>",
"value": "<string>"
}
]
}
}
]
headers = {
"tenantId": "<tenantid>",
"token": "<token>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
tenantId: '<tenantid>',
token: '<token>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify([
{
addressPurpose: '<string>',
address: {
country: '<string>',
area: '<string>',
city: '<string>',
zipCode: '<string>',
street: '<string>',
streetNumber: ['<string>'],
building: '<string>',
apartment: '<string>',
entrance: '<string>',
floor: '<string>',
doorNumber: '<string>',
geoPosition: {latitude: 123, longitude: 123, altitude: 123},
alternative: {word1: '<string>', word2: '<string>', word3: '<string>'},
relatedToAddress: [{relationType: '<string>'}],
additionalData: [{name: '<string>', type: '<string>', value: '<string>'}]
}
}
])
};
fetch('https://gateway.7exchange.io/customer/1.0.0/createAddress/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reason": "<string>",
"path": "<string>",
"method": "<string>",
"message": "<string>",
"timestamp": "<string>",
"status": 123
}"<unknown>"Customer
Create customer address
POST
/
createAddress
/
{customerId}
cURL
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
⌘I

